[SOLVED] Problems updating after trying install Iceweasel 4

Questions about applications and software
Forum rules
Before you post please read this

Re: Problems of updating after trying to install Iceweasel 4

Postby menuhin on Fri Jun 03, 2011 5:32 am

Thanks cwgtex,

It seems the dependencies have some discrepancy, and it won't install; the output reads:

Code: Select all
~ $ sudo apt-get install -t squeeze-backports libcairo2 xulrunner-2.0 libmozjs4d iceweasel
[sudo] password for menuhin:
Sorry, try again.
[sudo] password for menuhin:
Reading package lists... Done
Building dependency tree       
Reading state information... Done
libmozjs4d is already the newest version.
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 xulrunner-2.0 : Depends: libmozjs4d (= 2.0.1-1~bpo60+1) but 2.0.1-2 is to be installed
E: Broken packages
menuhin
Level 1
Level 1
 
Posts: 38
Joined: Fri Jun 26, 2009 12:52 pm

Linux Mint is funded by ads and donations.
 

Re: [SOLVED] Problems updating after trying install Icewease

Postby menuhin on Fri Jun 03, 2011 9:55 am

Hi all,

It finally works:
I uninstalled package libmozjs4d and then reinstall iceweasel with all the suggested dependencies (including a version of libmozjs4d).
Now happily typing in ff4 (iceweasel 4).

Cheers
menuhin
Level 1
Level 1
 
Posts: 38
Joined: Fri Jun 26, 2009 12:52 pm

Re: [SOLVED] Problems updating after trying install Icewease

Postby zerozero on Fri Jun 03, 2011 10:51 am

glad you got it to work :)
zerozero
Level 16
Level 16
 
Posts: 6472
Joined: Tue Jul 07, 2009 2:29 pm

Re: [SOLVED] Problems updating after trying install Icewease

Postby menuhin on Fri Jun 03, 2011 10:59 am

Yes :)
I think I had an experimental version of libmozjs4d installed and then that messed up the dependencies.
menuhin
Level 1
Level 1
 
Posts: 38
Joined: Fri Jun 26, 2009 12:52 pm

Previous

Return to Software & Applications

Who is online

Users browsing this forum: No registered users and 5 guests